Subject: Re: bug#76165: [PATCH] ansi-osc-directory-tracker respects Tramp remote files

From: Michael Albinus <[email-masked]>
Date: Mon, 10 Feb 2025 15:47:41 +0100

Ship Mints <[email-masked]> writes:

Hi,

> My desktop mac's local host name is tlok.local. I open a shell buffer
> as "/ssh:tlok.local:/Users/shipmints/" and as I "cd" around, I expect
> the remote file prefix "/ssh:tlok.local:" to be maintained. If the
> host name component is used as a discriminator, I don't get that
> benefit despite that there actually is an active ssh connection. I
> think it should be respected all the time as the user asked for it
> explicitly.

I don't get it. If your default directory is
"/ssh:tlok.local:/Users/shipmints/", (file-remote-p default-directory)
always returns "/ssh:tlok.local:", and (file-remote-p default-directory 'host)
always returns "tlok.local". In the shell buffer, you cannot go to
another host.

Please give me a step-by-step scenario, if I miss something.

Best regards, Michael.